# InputLengthWrapper

__React wrapper for HTML input length control__

## Installation

```
npm install react-input-length-wrapper --save
```

You can also use the standalone build by including `dist/react-input-length-wrapper.js` in your page. If you use this, make sure you have already included React, and it is available as a global variable.


## Usage

__SIMPLE USAGE HERE__

Import component:
```
var InputLengthWrapper = require('react-input-length-wrapper');

```
or
```
import InputLengthWrapper from 'react-input-length-wrapper';

```

and simple wrap your input

```
<InputLengthWrapper>
	<input maxLength={60}/> or <textarea maxLength={60}/>
</InputLengthWrapper>
```


## Development (`src`, `lib` and the build process)

**NOTE:** The source code for the component is in `src`. A transpiled CommonJS version (generated with Babel) is available in `lib` for use with node.js, browserify and webpack. A UMD bundle is also built to `dist`, which can be included without the need for any build system.

To build, watch and serve the examples (which will also watch the component source), run `npm start`. If you just want to watch changes to `src` and rebuild `lib`, run `npm run watch` (this is useful if you are working with `npm link`).

## License

__ISC__

Copyright (c) 2017 Yurii Melesh.

